@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

/*Colours*/
:root {
    --gray1: #262626;
    --gray2: #404040;
    --gray3: #595959;
    --gray4: #737373;
    --gray5: #8C8C8C;
    --gray6: #A6A6A6;
    --gray7: #BFBFBF;
    --gray8: #D9D9D9;
    --gray9: #F2F2F2;
    --font-color: #595959;
    --error-color: #A00000;
    --color-red: #A00000;
    --color-green: #7AC24F; /*#26b050*/
    --color-green-light: #DDFFC9;
    --color-green-dark: #4F9624;
    --color-yellow: #EDBB5F; /*#DFB800*/
    --color-yellow-light: #FFF0D6;
    --color-blue: #69A0DE;
    --selected-color: #cdf7f1;
    --accent1: #1B4489; /*#329C88*/
    --accent1-light: #2C71E0; /*#3EC1A8*/
    --accent1-dark: #00183F; /*#257465*/
    --accent2: #329C88;
    --accent3: #69a0de;
    --accent4: #623984;
    --border-color: rgba(0,0,0,0.3);
}

/*Fonts*/
:root {
    --fontsz3n: 0.5rem;
    --fontsz2n: 0.75rem;
    --fontsz1n: 0.9rem;
    --fontsz0: 1rem;
    --fontsz1: 1.1rem;
    --fontsz2: 1.25rem;
    --fontsz3: 1.5rem;
}

:root {
    --site-bg-color: var(--gray9);
}


html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #FAFAFA;
    font-size: 10pt;
    height: 100%;
    box-sizing: border-box !important;
}

a, .btn-link {
    color: var(--color-blue);
}

.ralign {
    text-align:right;
}
.calign {
    text-align:center;
}

.bg-blue {
    background-color: var(--color-blue) !important;
}

.bg-lightblue {
    background-color: var(--color-blue-light) !important;
}

.bg-green {
    background-color: var(--color-green) !important;
}

.bg-red {
    background-color: var(--color-red) !important;
}

.bg-yellow {
    background-color: var(--color-yellow) !important;
}

.color-blue {
    color: var(--color-blue) !important;
}

.color-lightblue {
    color: var(--color-blue-light) !important;
}

.color-green {
    color: var(--color-green) !important;
}

.color-red {
    color: var(--color-red) !important;
}

.color-yellow {
    color: var(--color-yellow) !important;
}

.pill-red, .pill-green, .pill-blue, .pill-lightblue, .pill-yellow {
    display: inline-block;
    color: #FFF;
    height: 1.5rem;
    line-height: 1.5rem;
    border-radius: 0.75rem;
    padding: 0 0.6rem 0 0.5rem;
}

.pill-red {
    background-color: var(--color-red);
}

.pill-green {
    background-color: var(--color-green);
}

.pill-blue {
    background-color: var(--color-blue);
}

.pill-lightblue {
    background-color: var(--color-blue-light);
}

.pill-yellow {
    background-color: var(--color-yellow);
}

.pill-clear {
    display: inline-block;
    color: var(--color-blue);
    line-height: 1.5rem;
    text-align: center;
    border-radius: 1rem;
    padding: 0 0.6rem 0 0.5rem;
    border: 2px solid var(--color-blue);
    background-color: #FFF;
    font-weight: bold;
}

.btn-primary {
    color: var(--color-blue);
    font-size: 1rem;
    font-weight: bold;
    box-shadow: none !important;
    background-color: transparent !important;
    border: 1px dashed transparent;
}

    .btn-primary:hover, .btn-primary:active:hover, .btn-primary:active, .btn-primary:focus, .btn-primary:active:focus {
        color: var(--color-blue-light) !important;
    }

        .btn-primary:hover, .btn-primary:active:hover {
            border-color: var(--color-blue-light);
        }

    .btn-primary span.oi {
        color: #FFF;
        font-size: 0.8rem;
        font-weight: bold;
        top: 1px;
    }

        .btn-primary span.oi.oi-plus, .btn-primary span.oi.oi-lock-locked, .btn-primary span.oi.oi-dollar {
            top: 0;
        }

        .btn-primary span.oi.oi-x, .btn-primary span.oi.oi-bullhorn {
            top: -1px;
        }

        .btn-primary span.oi.oi-plus, .btn-primary span.oi.oi-dollar, .btn-primary span.oi.oi-action-redo, .btn-primary span.oi.oi-thumb-up { /*Green*/
            color: var(--color-green);
        }

        .btn-primary span.oi.oi-check, .btn-primary span.oi.oi-comment-square, .btn-primary span.oi.oi-bullhorn, .btn-primary span.oi.oi-data-transfer-download { /*Light Blue*/
            color: var(--color-blue-light);
        }

        .btn-primary span.oi.oi-arrow-thick-left, .btn-primary span.oi.oi-arrow-thick-right, .btn-primary span.oi.oi-reload, .btn-primary span.oi.oi-print, .btn-primary span.oi.oi-magnifying-glass { /*Blue*/
            color: var(--color-blue);
        }

        .btn-primary span.oi.oi-x, .btn-primary span.oi.oi-thumb-down { /*Red*/
            color: var(--color-red);
        }

        .btn-primary span.oi.oi-lock-locked, .btn-primary span.oi.oi-pencil { /*Gold*/
            color: var(--color-yellow);
        }

.btn-Old {
    color: #FFF;
    background-color: var(--color-blue);
    border-color: var(--color-blue);
    box-shadow: none !important;
}

    .btn-Old:hover, .btn-Old:active:hover, .btn-Old:active, .btn-Old:focus, .btn-Old:active:focus {
        color: #FFF;
        background: var(--color-blue-light);
        border-color: var(--color-blue-light);
    }

        .btn-Old:hover, .btn-Old:active:hover {
            color: #FFF;
            background: var(--color-blue-light);
            border-color: var(--color-blue-light);
        }

.btn-small {
    height: 1.6rem;
    width: 1.6rem;
    border-radius: 0.8rem;
    padding: 2.5px;
}

.btn-primary.inline-btn {
    border-color: var(--color-blue);
    height: 2rem;
    padding: 0.25rem 0.5rem;
    overflow: hidden;
    white-space: nowrap;
}

.btn-secondary {
    color: #555;
    background-color: var(--color-green);
    border-color: var(--color-green);
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.centered {
    text-align: center;
}

.width100 {
    width: 100%;
}

.complete-txt {
    font-size: 1.75rem;
    position: relative;
    width: fit-content;
    margin: 0 auto;
}

.complete-check {
    position: absolute;
    left: -2.5rem;
    top: 50%;
    transform: translateY(-50%);
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/*Nate Custom Stuff*/

/*Cards*/
.card-container {
    position: relative;
    border-left: 10px solid var(--color-blue);
    background: #FFF;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
}

.card-btn-container {
    position: absolute;
    right: 1rem;
    top: 0.8rem;
    border-bottom: 1px solid var(--border-color);
}

.card-container .card-header {
    font-weight: bold;
    font-size: 1.2rem;
    color: var(--color-blue);
    margin: 0;
    padding: 1rem 1rem 0 1rem;
    border: 0;
    background-color: #FFF;
    text-align: center;
}

.card-header:first-child {
    border-radius: 0;
}

.card-header.align-left {
    text-align: left;
}

.card {
    border: 0;
    padding: 0.75rem 1rem;
    border-radius: 0;
    color: #555;
    position: unset;
}

    .card .card-row {
        margin: 0.25rem 0;
        padding: 0;
        line-height: 2rem;
        min-height: 2rem;
    }

        .card .card-row input[type="checkbox"] {
            vertical-align: middle;
            position: relative;
            bottom: 1px;
        }

        .card .card-row .row {
            margin-left: 0;
            margin-right: 0;
        }

        .card .card-row .card-row-label {
            line-height: 2rem;
            font-weight: bold;
            text-align: right;
            padding-right: 0.5rem;
            font-size: 0.9rem;
        }

.card-row .col, .card-row .col-1, .card-row .col-10, .card-row .col-11, .card-row .col-12, .card-row .col-2, .card-row .col-3, .card-row .col-4, .card-row .col-5, .card-row .col-6, .card-row .col-7, .card-row .col-8, .card-row .col-9, .card-row .col-auto,
.card-row .col-lg, .card-row .col-lg-1, .card-row .col-lg-10, .card-row .col-lg-11, .card-row .col-lg-12, .card-row .col-lg-2, .card-row .col-lg-3, .card-row .col-lg-4, .card-row .col-lg-5, .card-row .col-lg-6, .card-row .col-lg-7, .card-row .col-lg-8, .card-row .col-lg-9, .card-row .col-lg-auto,
.card-row .col-md, .card-row .col-md-1, .card-row .col-md-10, .card-row .col-md-11, .card-row .col-md-12, .card-row .col-md-2, .card-row .col-md-3, .card-row .col-md-4, .card-row .col-md-5, .card-row .col-md-6, .card-row .col-md-7, .card-row .col-md-8, .card-row .col-md-9, .card-row .col-md-auto,
.card-row .col-sm, .card-row .col-sm-1, .card-row .col-sm-10, .card-row .col-sm-11, .card-row .col-sm-12, .card-row .col-sm-2, .card-row .col-sm-3, .card-row .col-sm-4, .card-row .col-sm-5, .card-row .col-sm-6, .card-row .col-sm-7, .card-row .col-sm-8, .card-row .col-sm-9, .card-row .col-sm-auto,
.card-row .col-xl, .card-row .col-xl-1, .card-row .col-xl-10, .card-row .col-xl-11, .card-row .col-xl-12, .card-row .col-xl-2, .card-row .col-xl-3, .card-row .col-xl-4, .card-row .col-xl-5, .card-row .col-xl-6, .card-row .col-xl-7, .card-row .col-xl-8, .card-row .col-xl-9, .card-row .col-xl-auto {
    padding: 0;
}

input[type="text"].col-1, input[type="text"].col-2, input[type="text"].col-3, input[type="text"].col-4, input[type="text"].col-5, input[type="text"].col-6,
input[type="text"].col-7, input[type="text"].col-8, input[type="text"].col-9, input[type="text"].col-10, input[type="text"].col-11, input[type="text"].col-12 {
    padding: 0 4px;
}

.co-tooltip {
    position: relative;
    border-bottom: 1px dotted var(--border-color);
    cursor: help;
}

    .co-tooltip .tooltiptext {
        visibility: hidden;
        min-width: 120px;
        background-color: #555;
        color: #FFF;
        text-align: center;
        padding: 5px 0;
        border-radius: 6px;
        position: absolute;
        z-index: 1;
        bottom: 125%;
        left: 50%;
        margin-left: -60px;
        opacity: 0;
        transition: opacity 0.3s;
    }

        .co-tooltip .tooltiptext::after {
            content: "";
            position: absolute;
            top: 100%;
            left: 50%;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: #555 transparent transparent transparent;
        }

    .co-tooltip:hover .tooltiptext {
        visibility: visible;
        opacity: 1;
    }

/*Grid Card*/
.grid-card {
    border: 0;
    border-left: 10px solid var(--color-blue);
    background: #FFF;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.3);
    padding: 0;
}

    .grid-card .grid-card-title {
        padding: 1rem;
        font-weight: bold;
        font-size: 1.2rem;
        color: var(--color-blue);
        text-align: center;
        width: 100%;
    }

        .grid-card .grid-card-title.align-left {
            text-align: left;
        }

        .grid-card .grid-card-title.noshow {
            display: none;
        }

    .grid-card .rz-data-grid {
        border-width: 1px 0 0 0;
    }

.rz-data-grid.solo-grid {
    border-top: 0;
    border-bottom: 0;
    border-left: 10px solid var(--color-blue);
    box-shadow: 2px 2px 2px rgba(0,0,0,0.3);
}

.small-font {
    font-size: 0.9rem;
}

.specialText {
    color: var(--color-blue);
    font-style: italic;
}

.btn-primary.disabled, .btn-primary:disabled {
    color: rgba(0,0,0,0.5);
    border-color: rgba(0,0,0,0.5);
}

input[type="text"], input[type="password"] {
    width: 100%;
    border-radius: 0.25rem;
    border: 1px solid var(--border-color);
    outline: none;
    padding: 0 4px;
    height: 2rem;
    color: #555;
}

    input[type="text"]:hover, input[type="password"]:hover {
        border-color: #A0A0A0;
    }

    input[type="text"]:focus, input[type="password"]:focus {
        border-color: var(--color-green);
    }

        input[type="text"]:focus:hover, input[type="password"]:focus:hover {
            border-color: var(--color-green);
        }

    input[type="text"].numeric {
        text-align: right;
    }

select {
    width: 100%;
    padding: 0;
    border-radius: 0.25rem;
    border: 1px solid var(--border-color);
    height: 2rem;
    color: #555;
}

    select:hover {
        border-color: #A0A0A0;
    }

    select:focus {
        border-color: var(--color-green);
    }

        select:focus:hover {
            border-color: var(--color-green);
        }

textarea {
    resize: vertical;
    width: 100%;
    border: 1px solid var(--border-color);
    border-radius: 0.25rem;
    outline: none;
}

    textarea:hover {
        border-color: #A0A0A0;
    }

    textarea:focus {
        border-color: var(--color-green);
    }

        textarea:focus:hover {
            border-color: var(--color-green);
        }

.loading {
    color: #A0A0A0;
    font-style: italic;
}

.nav-item-selected {
    font-weight: bold;
    background: var(--color-blue);
    border-radius: 0.5rem;
}

    .nav-item-selected a {
        color: #FFF;
    }

.broken {
    background: #FFD0D0;
    border-color: #D00000;
    color: #D00000;
}

.info-color {
    color: var(--blue);
}

.success-color {
    color: #589533; /*var(--green)*/
}

.error-color {
    color: #D00000;
}

.info-stamp {
    display: inline-block;
    padding: 0.375rem 1rem;
    background-color: #FFF;
    border-radius: 0.5rem;
    box-shadow: 2px 2px 4px rgba(0,0,0,0.4);
    font-weight: bold;
}

    .info-stamp.error-color {
        background-color: rgba(150,0,0,1);
        color: #FFF;
    }

    .info-stamp.success-color {
        background-color: rgba(0,175,0,1);
        color: #FFF;
    }

    .info-stamp.no-pad {
        padding: 0;
    }


/* FILE UPLOADER */
.dropArea {
    border: 2px dashed #417ADA;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #E6EDFA;
    font-size: 1.2rem;
    cursor: pointer;
    position: relative;
    min-height: 200px;
    color: #417ADA;
    text-align: center;
}

    .dropArea:hover {
        color: #BED2F2;
        border-color: #8DB0E8;
    }

    .dropArea input[type=file], .dropArea-disabled input[type=file] {
        position: absolute;
        width: 100%;
        height: 100%;
        opacity: 0;
        cursor: pointer;
    }

.dropArea-disabled {
    border: 2px dashed #A0A0A0;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #E0E0E0;
    font-size: 1.2rem;
    position: relative;
    min-height: 200px;
    color: #A0A0A0;
    text-align: center;
}

.dragging {
    color: #BED2F2;
    border-color: #8DB0E8;
}

/*Modal dialog (bootstrap)*/
.modal {
    background-color: rgba(0,0,0,0.5);
}

.modal-header .modal-title {
    font-weight: bold;
}

.main > div {
    padding: 0 !important;
}

.bold {
    font-weight: bold;
}

.page-header {
    width: 100%;
    height: 150px;
    background-color: var(--color-blue);
    padding: 2rem 4rem 0 4rem;
    position: relative;
    text-align: center;
    color: #FFF;
    background-image: url(/images/cityscape-sm.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom;
    background-blend-mode: soft-light;
    font-size: 1.5rem;
}

    .page-header .topper {
        width: 90%;
        background: #FFF;
        border-radius: 1.5rem 1.5rem 0 0;
        position: absolute;
        bottom: 0;
        left: 5%;
        height: 2rem;
    }

.page-content {
    width: 100%;
    background-color: #FFF;
    padding: 0 5% 3rem 5%;
    position: relative;
    min-height: calc(100% - 300px);
}

    .page-content .page-content-inner {
        width: 100%;
        padding: 1rem 2rem;
    }

.page-footer {
    width: 100%;
    min-height: 150px;
    background-color: #F0F0F0;
    position: relative;
    padding: 2rem 5%;
}

    .page-footer .footer-middle {
        text-align: center;
        font-size: 0.9rem;
    }

    .page-footer .footer-contact a {
        font-size: 1.1rem;
        position: relative;
        display: block;
    }

        .page-footer .footer-contact a span.oi {
            left: -0.5rem;
            top: 0.2rem;
        }

    .page-footer .footer-contact-wrapper {
        width: 200px;
        margin-left: auto;
    }

/*********************/

@media(max-width:980px) {
    .page-content {
        padding: 0 0 3rem 0;
    }

    .page-header .topper {
        width: 100%;
        left: 0;
    }

    .page-footer .footer-image {
        text-align: center;
    }

    .page-footer .footer-middle {
        text-align: left;
        margin-top: 2rem;
    }

    .page-footer .footer-contact {
        text-align: center;
        margin-top: 2rem;
        display: flex;
    }

        .page-footer .footer-contact a {
        }

    .page-footer .footer-contact-wrapper {
        margin-left: auto;
        margin-right: auto;
    }
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        /*padding-left: 2rem !important;
        padding-right: 1.5rem !important;*/
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
